Bug 1020827 - perl-RPM2 doesn't work with mod_nss in FIPS mode
perl-RPM2 doesn't work with mod_nss in FIPS mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Jan Hutař
:
Depends On:
Blocks: 843620
  Show dependency treegraph
 
Reported: 2013-10-18 06:53 EDT by Milan Zázrivec
Modified: 2015-01-28 04:20 EST (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-web-2.2.28-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-28 04:20:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2013-10-18 06:53:58 EDT
Description of problem:
The following two spacewalk-web modules:

    * RHN::DB::Package
    * RHN::Manifest

make a use of perl-RPM2 package (they 'use RPM2;').
These two modules are being included (through other included modules)
by the following two modules:

    * PXT::ApacheHandler
    * PXT::ApacheAuth

which are setup to load during apache startup (zz-spacewalk-www.conf).

As things are, the perl-RPM2 module does not work with mod_nss in FIPS
mode (likely b/c of use of MD5) and will cause httpd to fail to start.

Version-Release number of selected component (if applicable):
spacewalk-web-2.0.3-17

How reproducible:
Always

Steps to Reproduce:
1. Satellite 5.6, runnin on a fips-enabled system
2. Configure Satellite to use mod_nss, rather than mod_ssl

Actual results:
httpd will fail to start.


Expected results:
httpd starts.

Additional info:
N/A
Comment 2 Michael Mráka 2014-06-18 08:59:59 EDT
perl-RPM2 dependency has been removed.

Final spacewalk master
commit 38e7070e857e6f31335c4858978447fac4a6b00d
 RHN::Manifest is unused

Note You need to log in before you can comment on or make changes to this bug.